<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\product_model;
use App\Models\cart_model;
use App\Models\cart_total_model;
use App\Models\user_model;

class order_product_controller extends Controller
{
    protected $products;
    protected $users;
    protected $cart;
    protected $cart_total;
    public function __construct(){

        $this->products = new product_model;
        $this->users = new user_model;
        $this->cart = new cart_model;
        $this->cart_total = new cart_total_model;
    }

    public function product_list(){

        $products = $this->products->all();
        $data = compact('products');
        return view('products')->with($data);
    }

    public function add_to_cart(Request $request) {

        $id = $request->input('id');

        $products = $this->products->all();
        $product = $products->where('id', $id)->first();

        if (!$product) {
            return response("Product not found", 404);
        }

        $response = [
            'id' => $product['id'],
            'name' => $product['name'],
            'size' => $product['size'],
            'quantity' => $product['quantity'],
            'price' => $product['price'],
            'image' => $product['image'],
        ];

//        return response("Product: " . $response);
        return response()->json($response);

    }

    public function checkout(Request $request) {

        $arr = [];

        $name = session('name');
        $password = session('password');
        $user_id = session('userid');
        $total = $request->total;

        if (!$user_id) {
            return response()->json(['error' => 'Session data missing'], 400);
        }

        $cartData = $request->input('cart_data');

        $cart_group_id = uniqid('cart_', true);
        foreach ($cartData as $item) {
            $arr[] = [
                'userid' => $user_id,
                'pid' => $item['id'],
                'name' => $item['name'],
                'price' => $item['price'],
                'quantity' => $item['quantity'],
                'cart_group_id' => $cart_group_id,
            ];

            $cart = new cart_model;
            $cart->userid = $user_id;
            $cart->groupid = $cart_group_id;
            $cart->pid = $item['id'];
            $cart->quantity = $item['quantity'];
            $cart->price = $item['price'];
            $cart->save();

            $product = new product_model;
            $product = $product->find($item['id']);
            $product->quantity = $product->quantity - $item['quantity'];
            $product->save();
        }

        $cart_total = $this->cart_total;
        $cart_total->cart_group = $cart_group_id;
        $cart_total->total = $total;
        $cart_total->save();


        $user = $this->users->find($user_id);
        $user->budget = $user->budget - $total;
        $user->save();


//        echo 'total: '.$total;
        print_r($arr);
    }


}
