@extends('layouts.main')

@push('nav_title')
{{--    <a class="navbar-brand" href="{{route('users')}}">User</a>--}}
    <a class="navbar-brand" href="#">Enzy</a>
@endpush

@section('page_title')

    <h1>Enzy Products</h1>

@endsection

@section('main_div')

    <div class="container d-flex">

        <div class="container" style="background-color: #e5e7eb; padding: 40px; margin: 40px">

            <div class="row row-cols-1 row-cols-md-3 g-4">

                @foreach($products as $product)

                    <div class="col">
                        <div class="card h-100">
                            <img src="{{ url('/../../interior.images.local/'.$product->image) }}" class="card-img-top product-img" alt="...">
                            <div class="card-body">
                                <h5 class="card-title">{{$product->name}}</h5>
                                <p class="card-text">Size: {{$product->size}} | Price: ${{$product->price}} | @if($product->quantity > 0) Stock: {{$product->quantity}} @else Out of Stock @endif | Descryption: {{$product->descryption}}</p>

                                <div class="card-buttons">
{{--                                    <i class="fa-solid fa-minus reduce_quantity mx-1"></i>--}}

                                    @if($product->quantity > 0)
                                        <button class="btn btn-secondary add_to_cart" data-id="{{$product->id}}">Add To Cart</button>
                                    @else
                                        <button class="btn btn-secondary add_to_cart" data-id="{{$product->id}}" disabled>Add To Cart</button>
                                    @endif

{{--                                    <i class="fa-solid fa-plus increase_quantity mx-1"></i>--}}
                                </div>

                            </div>
                        </div>
                    </div>

                @endforeach

            </div>

        </div>

        <div class="cart">
            <h1>Cart</h1>

            <table class="table">
                <thead>
                    <tr>
                        <th scope="col">Qty</th>
                        <th scope="col">Name</th>
                        <th scope="col">Price</th>
                        <th scope="col">Action</th>
                    </tr>
                </thead>
                <tbody class="cart_items">
                    <tr>
                        <td><h3>Total:</h3></td>
                        <td></td>
                        <td class="total"></td>
                    </tr>
                </tbody>
            </table>

            <button class="btn btn-secondary btn-sm check_out">Check Out</button>

        </div>

    </div>

@endsection
